summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/msr-tools/README8
-rw-r--r--system/msr-tools/msr-tools.SlackBuild76
-rw-r--r--system/msr-tools/msr-tools.info10
-rw-r--r--system/msr-tools/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/msr-tools/README b/system/msr-tools/README
new file mode 100644
index 0000000000..79632612ef
--- /dev/null
+++ b/system/msr-tools/README
@@ -0,0 +1,8 @@
+MSR Tools project provides utilities to access the processor MSRs and CPU ID
+directly.
+
+This project is composed of three different user space console applications.
+
+ rdmsr – read MSR from any CPU or all CPUs
+ wrmsr – write values to MSR on any CPU or all CPUs
+ cpuid – show identification and feature information of any CPU
diff --git a/system/msr-tools/msr-tools.SlackBuild b/system/msr-tools/msr-tools.SlackBuild
new file mode 100644
index 0000000000..aaa2e511bb
--- /dev/null
+++ b/system/msr-tools/msr-tools.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware build script for <msr-tools>
+#
+# Michales (clavisound) Michaloudes korgie@gmail.com <2017>
+
+PRGNAM=msr-tools
+VERSION=${VERSION:-1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+# create the DESTDIR and correct the DESTDIR in Makefile
+mkdir -p $PKG/usr/sbin
+sed -i "s+sbindir = /usr/sbin+sbindir = $PKG/usr/sbin+" Makefile
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# no docs!
+# cp -a \
+# AUTHORS COPYING ChangeLog README TODO \
+# $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/msr-tools/msr-tools.info b/system/msr-tools/msr-tools.info
new file mode 100644
index 0000000000..8820456797
--- /dev/null
+++ b/system/msr-tools/msr-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="msr-tools"
+VERSION="1.3"
+HOMEPAGE="https://01.org/msr-tools"
+DOWNLOAD="https://github.com/01org/msr-tools/archive/msr-tools-1.3/msr-tools-msr-tools-1.3.tar.gz"
+MD5SUM="649a093ba55fbbb5cc0fa64b995667e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/system/msr-tools/slack-desc b/system/msr-tools/slack-desc
new file mode 100644
index 0000000000..4ba8858bc0
--- /dev/null
+++ b/system/msr-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+msr-tools: msr-tools (access the processor MSRs and CPU ID directly)
+msr-tools:
+msr-tools: MSR Tools project provides utilities to access the processor MSRs
+msr-tools: and CPU ID directly. This project is composed of three different
+msr-tools: user space console applications: wrmsr, rdmsr, cpuid.
+msr-tools:
+msr-tools:
+msr-tools:
+msr-tools:
+msr-tools:
+msr-tools: